import urls
from requests import Response

class Account:
    
    def __init__(self, client):
        self._client = client
    
    def create(self, username: str, password: str):
        response: Response = self._client._post(urls.accounts_register, {'username': username, 'password': password})
        return response.content
    
    def delete(self):
        assert self._client.is_authentificate
        response: Response = self._client._post(urls.accounts_delete, {})
        return response.content